<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE  mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.engine.organization.mapper.hrmresource.HrmResourceMapper">

    <resultMap id="BaseResultMap" type="com.engine.organization.entity.hrmresource.po.HrmResourcePO">
        <result column="id" property="id"/>
        <result column="creator" property="creator"/>
        <result column="delete_type" property="deleteType"/>
        <result column="create_time" property="createTime"/>
        <result column="update_time" property="updateTime"/>
    </resultMap>

    <!-- 表字段 -->
    <sql id="baseColumns">
        t
        .
        id
        , t.creator
        , t.delete_type
        , t.create_time
        , t.update_time
    </sql>

    <select id="getMaxId" resultType="java.lang.Long">
        select max(id)
        from jcl_org_hrmresource
    </select>

    <select id="getLastNameById" resultType="java.lang.String">
        select last_name
        from jcl_org_hrmresource
        where delete_type = 0
          and id = #{id}
    </select>
    <select id="getIdByKeyField" resultType="java.lang.Long">
        select id
        from jcl_org_hrmresource
        where delete_type = 0
          and ${keyField} = #{keyFieldValue}
    </select>
    <select id="getEcResourceId" resultType="java.lang.String">
        select a.id
        from hrmresource a
                 inner join jcl_org_hrmresource b on a.uuid = b.uuid
        where b.id = #{jclResourceId}
    </select>
    <select id="getJclResourceId" resultType="java.lang.Long">
        select a.id
        from jcl_org_hrmresource a
                 inner join hrmresource b on a.uuid = b.uuid
        where b.id = #{ecResourceId}
    </select>
    <select id="getMaxShowOrder" resultType="java.lang.Long">
        select max(show_order)
        from jcl_org_hrmresource
    </select>
    <!--    <select id="getKeyMapByKetField" resultType="com.alibaba.fastjson.JSONObject">-->
<!--        select id, account_type, certificate_num, login_id, work_code, ${keyField}-->
<!--        from jcl_org_hrmresource-->
<!--    </select>-->
</mapper>